Skip to main content
GET
/
v1
/
consumer
/
subscriptions
/
{subscription_id}
Get Subscription By Id
curl --request GET \
  --url https://api.withflex.com/v1/consumer/subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>'
{
  "subscription": {
    "subscription_id": "obj_01EXAMPLE00000000000000000",
    "created_at": "2024-01-01T00:00:00Z",
    "items": [
      {}
    ],
    "customer": "string",
    "status": "incomplete",
    "cancel_at_period_end": false,
    "current_period_end": "string",
    "current_period_start": "string",
    "test_mode": false,
    "proration_behavior": "always_invoice",
    "trial_start": "string",
    "trial_end": "string",
    "cancel_at": "2024-01-01T00:00:00Z",
    "default_payment_method": "string",
    "partner": "string"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

subscription_id
string
required

Query Parameters

expand
string

Represents a list as a comma-separated string.

Example:

""

Response

Success

subscription
object
required
Example:
{
"subscription_id": "obj_01EXAMPLE00000000000000000",
"created_at": "2024-01-01T00:00:00Z",
"items": [
{
"subscription_item_id": "obj_01EXAMPLE00000000000000000",
"quantity": 0,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"test_mode": false
}
],
"customer": "string",
"status": "incomplete",
"cancel_at_period_end": false,
"current_period_end": "string",
"current_period_start": "string",
"test_mode": false,
"proration_behavior": "always_invoice",
"trial_start": "string",
"trial_end": "string",
"cancel_at": "2024-01-01T00:00:00Z",
"default_payment_method": "string",
"partner": "string"
}